
PHP_ARG_WITH(php_libxslt,whether to include libxslt support,
[  --with-php_libxslt[=DIR] Include libxslt support.
                          DIR is the libxslt install directory,
                          defaults to /usr.])

if test "$PHP_PHP_LIBXSLT" != "no"; then
  PHP_EXTENSION(php_libxslt, $ext_shared)

  for i in /usr /usr/local $PHP_PHP_LIBXSLT; do
    if test -f $i/include/libxslt/xslt.h ; then
      LIBXSLT_DIR=$i
      LIBXSLT_INC=$i/include:./
    fi
  done
  LIBXSLT_LIB=$LIBXSLT_DIR/lib/

  for i in /usr /usr/local $PHP_PHP_LIBXSLT; do
    for j in "" libxml2; do
      if test -f $i/include/$j/libxml/xpath.h ; then
        LIBXML_INC=$i/include/$j
      fi
    done
  done



  AC_DEFINE(HAVE_PHP_LIBXSLT,1,[ ])
  
  PHP_ADD_LIBRARY_WITH_PATH(xml2,$LIBXSLT_LIB,PHP_LIBXSLT_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(xslt,$LIBXSLT_LIB,PHP_LIBXSLT_SHARED_LIBADD)
  PHP_SUBST(PHP_LIBXSLT_SHARED_LIBADD)

  PHP_ADD_INCLUDE($LIBXSLT_INC)
  PHP_ADD_INCLUDE($LIBXML_INC)

fi
